Opened 8 years ago

Closed 8 years ago

#10083 closed Bug Report - General (fixed)

mythfilldatabase --refresh-all does not refresh all.

Reported by: Ken Mandelberg <km@…> Owned by: stuartm
Priority: minor Milestone: 0.25
Component: MythTV - Mythfilldatabase Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

With refresh-all it seems to only refresh tomorrow. Complete output attached but the highlight is:

2011-10-07 18:57:00.998996 I Checking day @ offset 2, date: Sun Oct 9 2011 2011-10-07 18:57:01.044069 N Data is already present for Sun Oct 9 2011, skippi ng 2011-10-07 18:57:01.044113 I Checking day @ offset 3, date: Mon Oct 10 2011 2011-10-07 18:57:01.087980 N Data is already present for Mon Oct 10 2011, skipp ing

Attachments (1)

log (13.3 KB) - added by Ken Mandelberg <km@…> 8 years ago.
output from "mythfilldatabase --refresh-all"

Download all attachments as: .zip

Change History (2)

Changed 8 years ago by Ken Mandelberg <km@…>

Attachment: log added

output from "mythfilldatabase --refresh-all"

comment:1 Changed 8 years ago by Github

Milestone: unknown0.25
Resolution: fixed
Status: newclosed

Fix MythCommandLineParser::SetValue?

Previously, this would store the new value to the CommandLineArg? instance, but would not mark the instance as having been used. Thus, if the argument had not actually been used on the command line, attempting to retrieve the value would result in getting the default. This requires a version bump, so it also carries staging for a SetDeprecated? method to CommandLineArg?.

Fixes #10083.

Branch: master Changeset: 9fb9fad87d23cc85a3c49f43ef382263b86f8920

Note: See TracTickets for help on using tickets.